{% extends "base.html" %}

{% block title %}Post{% endblock %}

{% block page_content %}
<h1>{{ post.title }}</h1>
<p>
	<strong>author:</strong> <a href="{{ url_for('.posts_by', id = post.author.id) }}">{{ post.author.username }}</a><br>
	<strong>date:</strong> {{ post.timestamp }}
</p>
{% if current_user == post.author %}
<a href="{{ url_for('.edit', id=post.id) }}">[Edit]</a>
<a href="{{ url_for('.delete', id=post.id) }}">[Delete]</a>
{% endif %}
{% if post.body_html %}
    {{ post.body_html | safe }}
{% else %}
    {{ post.body }}
{% endif %}
{% endblock %}

